* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

::-webkit-scrollbar {
  display: none;
}

html {
  scroll-behavior: smooth;
  scrollbar-width: none;
}

body {
  font-family: "Roboto", sans-serif;
  background-color: #faf8f2;
  min-height: 100vh;
}

.container {
  max-width: 1100px;
  margin: 0 auto;
  padding: 0 2rem;
}

nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1.5rem 2rem;
  background-color: #fffdf5;
  border-bottom: 1px solid rgb(243, 240, 240);
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  z-index: 100;
}

.nav-links ul {
  list-style: none;
}

nav a {
  text-decoration: none;
  color: inherit;
}

nav #logo {
  letter-spacing: 1.5px;
  font-weight: 600;
  font-size: 1.7rem;
}

.nav-links {
  display: none;
  background: rgba(0, 0, 0, 0.7);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  color: #fff;
  position: fixed;
  top: 0;
  right: 0;
  left: 4rem;
  height: 100%;
  width: 100%;
  z-index: 999;
}

.nav-links ul {
  display: flex;
  flex-direction: column;
  gap: 4rem;
  font-size: 3rem;
}

.nav-links.active {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.togglers {
  z-index: 1000;
  cursor: pointer;
}

.fa-bars {
  display: block;
  font-size: 1.5rem;
  cursor: pointer;
}

.togglers .fa-x {
  display: none;
}

.fa-bars.hide {
  display: none;
}

.fa-x.active {
  display: block;
  font-size: 1.5rem;
  cursor: pointer;
  color: #fff;
}

/* Header Section */
header {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  line-height: 1;
  padding: 5rem 2rem;
  gap: 0.7rem;
  text-align: center;
  min-height: 60vh;
}

header .container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;
}

.hero-icon {
  font-size: 3rem;
  color: #1d1d1d;
  margin-bottom: 1rem;
  animation: float 3s ease-in-out infinite;
  margin-top: 4rem;
}

header span {
  font-weight: 500;
  font-size: 1.7rem;
}

header h1 {
  font-size: 2.5rem;
}
header p {
  font-size: 1.2rem;
  font-weight: 500;
  color: #616060;
  line-height: 1.2;
}

.btn-navigation {
  display: flex;
  align-items: center;
  gap: 1rem;
  margin-bottom: 2rem;
}

.btn-navigation a {
  text-decoration: none;
  padding: 0.8rem 1.2rem;
  border-radius: 6px;
  display: inline-block;
  font-weight: 500;
  transition: 0.3s ease;
  font-size: 1.2rem;
}

.secondary-btn {
  background-color: #000;
  color: #fff;
  border: none;
}

.primary-btn {
  background-color: transparent;
  color: #000;
  border: 2px solid black;
}

.primary-btn:hover {
  background-color: black;
  color: white;
}

.secondary-btn:hover {
  opacity: 0.65;
}

main {
  background-color: #1d1d1d;
  color: #fff;
}

.main-container {
  display: flex;
  flex-direction: column;
}

.main-container h2 {
  text-align: center;
  margin-top: 3rem;
  letter-spacing: 2px;
  font-size: 2rem;
}

.professions {
  display: flex;
  justify-content: center;
}

.skills {
  display: grid;
  grid-template-columns: 1fr;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  padding: 2rem;
}

.skill {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-color: #e9e9e9;
  color: #000;
  padding: 2rem;
  gap: 1rem;
  border-radius: 10px;
}

.skill p {
  letter-spacing: 1px;
}

.skills a {
  text-decoration: none;
}

footer {
  background-color: #1d1d1d;
  color: #faf8f2;
  border-top: 1px solid rgb(156, 154, 154);
  display: flex;
  align-items: center;
  justify-content: center;
}

footer span {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1.5rem;
}
